Base install didn't pick up my RTX 2070

Screen resolution, 3D Acceleration, nVidia, ATI
Forum rules
Before you post please read this
Post Reply
MostHated
Level 1
Level 1
Posts: 4
Joined: Sun Apr 14, 2019 2:00 pm

Base install didn't pick up my RTX 2070

Post by MostHated » Sun Apr 14, 2019 2:13 pm

Hey there all,
I am not sure if my install is properly using my video card. There is a good bit of screen tearing when scrolling, text looks a bit weird at times and things of that nature. I just wanted to see if anyone could spot anything or give any suggestions. I saw in some other threads things that people were asked to run, so here those are:

Code: Select all

System:
  Host: mosthated-MS-7B79 Kernel: 4.15.0-47-generic x86_64 bits: 64 
  compiler: gcc v: 7.3.0 Desktop: Cinnamon 4.0.10 
  Distro: Linux Mint 19.1 Tessa base: Ubuntu 18.04 bionic 
Machine:
  Type: Desktop Mobo: Micro-Star model: X470 GAMING PLUS (MS-7B79) v: 2.0 
  serial: <root required> UEFI: American Megatrends v: A.50 date: 11/16/2018 
CPU:
  Topology: 6-Core model: AMD Ryzen 5 2600 bits: 64 type: MT MCP arch: Zen+ 
  rev: 2 L2 cache: 3072 KiB 
  flags: lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm 
  bogomips: 81589 
  Speed: 1460 MHz min/max: 1550/3400 MHz Core speeds (MHz): 1: 1431 2: 1540 
  3: 1549 4: 1550 5: 1423 6: 1400 7: 1457 8: 1543 9: 1500 10: 1515 11: 1550 
  12: 1550 
Graphics:
  Device-1: NVIDIA vendor: Micro-Star MSI driver: nvidia v: 415.27 
  bus ID: 1d:00.0 
  Display: x11 server: X.Org 1.19.6 driver: nvidia 
  unloaded: fbdev,modesetting,nouveau,vesa 
  resolution: 1920x1080~60Hz, 2560x1080~60Hz, 1920x1080~60Hz 
  OpenGL: renderer: GeForce RTX 2070/PCIe/SSE2 v: 4.6.0 NVIDIA 415.27 
  direct render: Yes 

2. lspci -nnk | egrep -A3 -i "3D|VGA"

Code: Select all

03:00.0 USB controller [0c03]: Advanced Micro Devices, Inc. [AMD] Device [1022:43d0] (rev 01)
	Subsystem: ASMedia Technology Inc. Device [1b21:1142]
	Kernel driver in use: xhci_hcd
03:00.1 SATA controller [0106]: Advanced Micro Devices, Inc. [AMD] Device [1022:43c8] (rev 01)
--
1d:00.0 VGA compatible controller [0300]: NVIDIA Corporation Device [10de:1f02] (rev a1)
	Subsystem: Micro-Star International Co., Ltd. [MSI] Device [1462:3734]
	Kernel driver in use: nvidia
	Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia
ls /lib/modprobe.d

Code: Select all

aliases.conf                            fbdev-blacklist.conf
blacklist_linux_4.15.0-20-generic.conf  nvidia-graphics-drivers.conf
blacklist_linux_4.15.0-47-generic.conf  systemd.conf
dpkg -l | grep -i nvidia

Code: Select all

ii  libaccinj64-9.1:amd64                      9.1.85-3ubuntu1                             amd64        NVIDIA ACCINJ Library (64-bit)
ii  libcublas9.1:amd64                         9.1.85-3ubuntu1                             amd64        NVIDIA cuBLAS Library
ii  libcudart9.1:amd64                         9.1.85-3ubuntu1                             amd64        NVIDIA CUDA Runtime Library
ii  libcufft9.1:amd64                          9.1.85-3ubuntu1                             amd64        NVIDIA cuFFT Library
ii  libcufftw9.1:amd64                         9.1.85-3ubuntu1                             amd64        NVIDIA cuFFTW Library
ii  libcuinj64-9.1:amd64                       9.1.85-3ubuntu1                             amd64        NVIDIA CUINJ Library (64-bit)
ii  libcurand9.1:amd64                         9.1.85-3ubuntu1                             amd64        NVIDIA cuRAND Library
ii  libcusolver9.1:amd64                       9.1.85-3ubuntu1                             amd64        NVIDIA cuSOLVER Library
ii  libcusparse9.1:amd64                       9.1.85-3ubuntu1                             amd64        NVIDIA cuSPARSE Library
ii  libnppc9.1:amd64                           9.1.85-3ubuntu1                             amd64        NVIDIA Performance Primitives core runtime library
ii  libnppial9.1:amd64                         9.1.85-3ubuntu1                             amd64        NVIDIA Performance Primitives lib for Image Arithmetic and Logic
ii  libnppicc9.1:amd64                         9.1.85-3ubuntu1                             amd64        NVIDIA Performance Primitives lib for Image Color Conversion
ii  libnppicom9.1:amd64                        9.1.85-3ubuntu1                             amd64        NVIDIA Performance Primitives lib for Image Compression
ii  libnppidei9.1:amd64                        9.1.85-3ubuntu1                             amd64        NVIDIA Performance Primitives lib for Image Data Exchange and Initialization
ii  libnppif9.1:amd64                          9.1.85-3ubuntu1                             amd64        NVIDIA Performance Primitives lib for Image Filters
ii  libnppig9.1:amd64                          9.1.85-3ubuntu1                             amd64        NVIDIA Performance Primitives lib for Image Geometry transforms
ii  libnppim9.1:amd64                          9.1.85-3ubuntu1                             amd64        NVIDIA Performance Primitives lib for Image Morphological operations
ii  libnppist9.1:amd64                         9.1.85-3ubuntu1                             amd64        NVIDIA Performance Primitives lib for Image Statistics
ii  libnppisu9.1:amd64                         9.1.85-3ubuntu1                             amd64        NVIDIA Performance Primitives lib for Image Support
ii  libnppitc9.1:amd64                         9.1.85-3ubuntu1                             amd64        NVIDIA Performance Primitives lib for Image Threshold and Compare
ii  libnpps9.1:amd64                           9.1.85-3ubuntu1                             amd64        NVIDIA Performance Primitives for signal processing runtime library
ii  libnvgraph9.1:amd64                        9.1.85-3ubuntu1                             amd64        NVIDIA Graph Analytics library (nvGRAPH)
ii  libnvidia-cfg1-415:amd64                   415.27-0ubuntu0~gpu18.04.2                  amd64        NVIDIA binary OpenGL/GLX configuration library
ii  libnvidia-common-415                       415.27-0ubuntu0~gpu18.04.2                  all          Shared files used by the NVIDIA libraries
ii  libnvidia-common-418                       418.56-0ubuntu0~gpu18.04.1                  all          Shared files used by the NVIDIA libraries
ii  libnvidia-compute-415:amd64                415.27-0ubuntu0~gpu18.04.2                  amd64        NVIDIA libcompute package
ii  libnvidia-compute-415:i386                 415.27-0ubuntu0~gpu18.04.2                  i386         NVIDIA libcompute package
rc  libnvidia-compute-418:amd64                418.56-0ubuntu0~gpu18.04.1                  amd64        NVIDIA libcompute package
ii  libnvidia-decode-415:amd64                 415.27-0ubuntu0~gpu18.04.2                  amd64        NVIDIA Video Decoding runtime libraries
ii  libnvidia-decode-415:i386                  415.27-0ubuntu0~gpu18.04.2                  i386         NVIDIA Video Decoding runtime libraries
ii  libnvidia-encode-415:amd64                 415.27-0ubuntu0~gpu18.04.2                  amd64        NVENC Video Encoding runtime library
ii  libnvidia-encode-415:i386                  415.27-0ubuntu0~gpu18.04.2                  i386         NVENC Video Encoding runtime library
ii  libnvidia-fbc1-415:amd64                   415.27-0ubuntu0~gpu18.04.2                  amd64        NVIDIA OpenGL-based Framebuffer Capture runtime library
ii  libnvidia-fbc1-415:i386                    415.27-0ubuntu0~gpu18.04.2                  i386         NVIDIA OpenGL-based Framebuffer Capture runtime library
ii  libnvidia-gl-415:amd64                     415.27-0ubuntu0~gpu18.04.2                  amd64        NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD
ii  libnvidia-gl-415:i386                      415.27-0ubuntu0~gpu18.04.2                  i386         NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD
ii  libnvidia-ifr1-415:amd64                   415.27-0ubuntu0~gpu18.04.2                  amd64        NVIDIA OpenGL-based Inband Frame Readback runtime library
ii  libnvidia-ifr1-415:i386                    415.27-0ubuntu0~gpu18.04.2                  i386         NVIDIA OpenGL-based Inband Frame Readback runtime library
ii  libnvrtc9.1:amd64                          9.1.85-3ubuntu1                             amd64        CUDA Runtime Compilation (NVIDIA NVRTC Library)
ii  libnvtoolsext1:amd64                       9.1.85-3ubuntu1                             amd64        NVIDIA Tools Extension Library
ii  libnvvm3:amd64                             9.1.85-3ubuntu1                             amd64        NVIDIA NVVM Library
ii  nvidia-compute-utils-415                   415.27-0ubuntu0~gpu18.04.2                  amd64        NVIDIA compute utilities
rc  nvidia-compute-utils-418                   418.56-0ubuntu0~gpu18.04.1                  amd64        NVIDIA compute utilities
ii  nvidia-cuda-dev                            9.1.85-3ubuntu1                             amd64        NVIDIA CUDA development files
ii  nvidia-cuda-toolkit                        9.1.85-3ubuntu1                             amd64        NVIDIA CUDA development toolkit
ii  nvidia-dkms-415                            415.27-0ubuntu0~gpu18.04.2                  amd64        NVIDIA DKMS package
rc  nvidia-dkms-418                            418.56-0ubuntu0~gpu18.04.1                  amd64        NVIDIA DKMS package
ii  nvidia-driver-415                          415.27-0ubuntu0~gpu18.04.2                  amd64        NVIDIA driver metapackage
ii  nvidia-kernel-common-415                   415.27-0ubuntu0~gpu18.04.2                  amd64        Shared files used with the kernel module
rc  nvidia-kernel-common-418                   418.56-0ubuntu0~gpu18.04.1                  amd64        Shared files used with the kernel module
ii  nvidia-kernel-source-415                   415.27-0ubuntu0~gpu18.04.2                  amd64        NVIDIA kernel source package
ii  nvidia-opencl-dev:amd64                    9.1.85-3ubuntu1                             amd64        NVIDIA OpenCL development files
ii  nvidia-prime                               0.8.8.2                                     all          Tools to enable NVIDIA's Prime
ii  nvidia-prime-applet                        1.0.7                                       all          An applet for NVIDIA Prime
ii  nvidia-profiler                            9.1.85-3ubuntu1                             amd64        NVIDIA Profiler for CUDA and OpenCL
ii  nvidia-settings                            418.56-0ubuntu0~gpu18.04.1                  amd64        Tool for configuring the NVIDIA graphics driver
ii  nvidia-utils-415                           415.27-0ubuntu0~gpu18.04.2                  amd64        NVIDIA driver support binaries
ii  xserver-xorg-video-nvidia-415              415.27-0ubuntu0~gpu18.04.2                  amd64        NVIDIA binary Xorg driver
mokutil --sb-state

Code: Select all

SecureBoot disabled
Platform is in Setup Mode
ls /etc/X11

Code: Select all

app-defaults             rgb.txt  Xreset      Xsession          xsm
default-display-manager  xinit    Xreset.d    Xsession.d        XvMCConfig
fonts                    xkb      Xresources  Xsession.options  Xwrapper.config
neofetch

Code: Select all

MMMMMMMMMMMMMMMMMMMMMMMMMmds+.        mosthated@mosthated-MS-7B79 
MMm----::-://////////////oymNMd+`     --------------------------- 
MMd      /++                -sNMd:    OS: Linux Mint 19.1 Tessa x86_64 
MMNso/`  dMM    `.::-. .-::.` .hMN:   Host: MS-7B79 2.0 
ddddMMh  dMM   :hNMNMNhNMNMNh: `NMm   Kernel: 4.15.0-47-generic 
    NMm  dMM  .NMN/-+MMM+-/NMN` dMM   Uptime: 19 mins 
    NMm  dMM  -MMm  `MMM   dMM. dMM   Packages: 2357 
    NMm  dMM  -MMm  `MMM   dMM. dMM   Shell: bash 4.4.19 
    NMm  dMM  .mmd  `mmm   yMM. dMM   Resolution: 1920x1080, 2560x1080, 1920x10 
    NMm  dMM`  ..`   ...   ydm. dMM   DE: Cinnamon 4.0.10 
    hMM- +MMd/-------...-:sdds  dMM   WM: Mutter (Muffin) 
    -NMm- :hNMNNNmdddddddddy/`  dMM   WM Theme: Ultimate-Dark-Grey (Mint-Y-Dark 
     -dMNs-``-::::-------.``    dMM   Theme: Ultimate-Dark-(Flat)-Grey [GTK2/3] 
      `/dMNmy+/:-------------:/yMMM   Icons: Orange-Maia [GTK2/3] 
         ./ydNMMMMMMMMMMMMMMMMMMMMM   Terminal: gnome-terminal 
            .MMMMMMMMMMMMMMMMMMM      CPU: AMD Ryzen 5 2600 (12) @ 3.400GHz 
                                      GPU: NVIDIA NVIDIA Corporation Device 1f0 
                                      Memory: 3870MiB / 32177MiB 

                                                              

I saw in another thread that Mint should have been able to pick up my card and in the Driver-Manager it should have shown a driver available, but it didn't so I had to go searching for one. It currently does show in there, but it says "This device is using an alternative driver" and "No proprietary driver in use", so I am not sure if that is what it is supposed to be with this card?

Image

If anyone has any info or suggestions, I would appreciate it!
Thanks,
-MH

User avatar
roblm
Level 10
Level 10
Posts: 3357
Joined: Sun Feb 24, 2013 2:41 pm

Re: Base install didn't pick up my RTX 2070

Post by roblm » Sun Apr 14, 2019 4:27 pm

The Driver Manager version that comes with Mint 19 is buggy and often reports the wrong info, such as: No proprietary drivers are in use.

The Nvidia driver installation appears OK. For the screen tearing problem, open NVIDIA X Server Settings. On the X Server Display Configuration page, click the Advanced button. Mark the checkbox next to
Force Full Composition Pipeline.

Click the Save to X Configuration File button. If the window is empty, type /etc/X11/xorg.conf

You can also test the Force Composition Pipeline option.

Log out and back in.

MostHated
Level 1
Level 1
Posts: 4
Joined: Sun Apr 14, 2019 2:00 pm

Re: Base install didn't pick up my RTX 2070

Post by MostHated » Sun Apr 14, 2019 5:01 pm

roblm wrote:
Sun Apr 14, 2019 4:27 pm
The Driver Manager version that comes with Mint 19 is buggy and often reports the wrong info, such as: No proprietary drivers are in use.

The Nvidia driver installation appears OK. For the screen tearing problem, open NVIDIA X Server Settings. On the X Server Display Configuration page, click the Advanced button. Mark the checkbox next to
Force Full Composition Pipeline.

Click the Save to X Configuration File button. If the window is empty, type /etc/X11/xorg.conf

You can also test the Force Composition Pipeline option.

Log out and back in.
I definitely appreciate the reply. That seems like it may have done the trick for the tearing. The text throughout the system is still a bit fuzzyish in places, but that is not of super concern and I am sure if I mess around with enough things I will be able to find something to help with it. I have been using server distros for nearly 2 decades but have not really messed with a desktop distro since SuSE was S.u.S.E slackware, so trying to figure out what is what and where is where is going to take a few minutes, lol.

User avatar
roblm
Level 10
Level 10
Posts: 3357
Joined: Sun Feb 24, 2013 2:41 pm

Re: Base install didn't pick up my RTX 2070

Post by roblm » Mon Apr 15, 2019 10:44 am

MostHated wrote: The text throughout the system is still a bit fuzzyish in places...
In System Settings > Fonts, change the setting for Hinting to Full.
Under > General, set Disable compositing for full-screen windows to OFF.
Under > Effects, set Window effects to OFF.

You can download Mint MATE, install it to a USB, and run a Live Session. Under Appearance > Fonts, there is a Subpixel smoothing option.
Under Desktop Settings > Windows > Window Manager, you can test different Window Managers.

As a last resort, read the following, but be sure to create a Timeshift restore point before making any changes.

In the link below, there is a discussion of fonts:
https://github.com/adobe/brackets/issues/14290

See the comment by gautam0217 on May 11, 2018, about the libfreetype6-2.8.1 package. FreeType 2 is the software font engine used in Ubuntu 18.04/Mint 19. Mint 18 used version 2.6.1.

Further down in that discussion is the comment by briskycat on Jul 19, 2018. He has created a PPA to get a newer version of libfreetype6, which is libfreetype6-2.9.1. Use these commands to add the PPA:

Code: Select all

sudo add-apt-repository ppa:as-asaw/fonts
apt update
Then open Update Manager, click Refresh and the new package should be at the bottom. You can always revert back to the previous version using Synaptic.

MostHated
Level 1
Level 1
Posts: 4
Joined: Sun Apr 14, 2019 2:00 pm

Re: Base install didn't pick up my RTX 2070

Post by MostHated » Tue Apr 16, 2019 6:18 pm

roblm wrote:
Mon Apr 15, 2019 10:44 am
MostHated wrote: The text throughout the system is still a bit fuzzyish in places...
In System Settings > Fonts, change the setting for Hinting to Full.
Under > General, set Disable compositing for full-screen windows to OFF.
Under > Effects, set Window effects to OFF.

You can download Mint MATE, install it to a USB, and run a Live Session. Under Appearance > Fonts, there is a Subpixel smoothing option.
Under Desktop Settings > Windows > Window Manager, you can test different Window Managers.

As a last resort, read the following, but be sure to create a Timeshift restore point before making any changes.

In the link below, there is a discussion of fonts:
https://github.com/adobe/brackets/issues/14290

See the comment by gautam0217 on May 11, 2018, about the libfreetype6-2.8.1 package. FreeType 2 is the software font engine used in Ubuntu 18.04/Mint 19. Mint 18 used version 2.6.1.

Further down in that discussion is the comment by briskycat on Jul 19, 2018. He has created a PPA to get a newer version of libfreetype6, which is libfreetype6-2.9.1. Use these commands to add the PPA:

Code: Select all

sudo add-apt-repository ppa:as-asaw/fonts
apt update
Then open Update Manager, click Refresh and the new package should be at the bottom. You can always revert back to the previous version using Synaptic.
Thank you much for this info, I will be sure to give them a try!

Post Reply

Return to “Graphics Cards & Monitors”